## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg18.04+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

pgqd (3.3-5) unstable; urgency=medium

  * Update watch file to look at git tarballs only.
  * DH 13; disable autoreconf (broken in 3.3).

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 13:34:35 +0200

pgqd (3.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Replace /var/run with /run for the Service PIDFile.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Feb 2020 09:32:30 +0100

pgqd (3.3-3) unstable; urgency=medium

  * Add debian/gitlab-ci.yml
  * Make build verbose.
  * Remove unused python-docutils build-dependency. (Closes: #943154)
  * debian/watch: Fix URL (but there are still no actual releases).

 -- Christoph Berg <myon@debian.org>  Fri, 25 Oct 2019 12:36:43 +0200

pgqd (3.3-2) unstable; urgency=medium

  * Add Vcs URLs.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Feb 2019 17:16:27 +0100

pgqd (3.3-1) unstable; urgency=medium

  * Initial Debian upload.
  * This package is replacing skytools3-ticker from the former skytools3
    package, last seen at version 3.2.6-5.
  * Packaging based on upstream packaging, which in turn is based on our old
    skytools3 packaging.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Oct 2017 22:02:35 +0200

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg20.04+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg21.10+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg22.04+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3

=== Makefile ===

-include config.mak

PG_CONFIG ?= pg_config
PG_INCDIR = $(shell $(PG_CONFIG) --includedir)
PG_LIBDIR = $(shell $(PG_CONFIG) --libdir)

bin_PROGRAMS = pgqd

pgqd_SOURCES = src/pgqd.c src/maint.c src/ticker.c src/retry.c src/pgqd.h
nodist_pgqd_SOURCES = pgqd.ini.h
pgqd_CPPFLAGS = -I$(PG_INCDIR) -Isrc -I.
pgqd_LDFLAGS = -L$(PG_LIBDIR)
pgqd_LIBS = -lpq -lm

pgqd_EMBED_LIBUSUAL = 1
USUAL_DIR = lib
AM_FEATURES = libusual

EXTRA_DIST = pgqd.ini
CLEANFILES = pgqd.ini.h

CONFIG_H = $(USUAL_DIR)/lib/usual/config.h

include $(USUAL_DIR)/mk/antimake.mk

pgqd.ini.h: pgqd.ini
	sed -e 's/.*/"&\\n"/' $< > $@

install: install-conf
install-conf:
	mkdir -p '$(DESTDIR)$(docdir)/conf'
	$(INSTALL) -m 644 pgqd.ini '$(DESTDIR)$(docdir)/conf/pgqd.ini.templ'

tags:
	ctags src/*.[ch] lib/usual/*.[ch]

configure:
	./autogen.sh

#config.mak: configure
#	./configure

deb: configure
	debuild -us -uc -b

*.o: $(CONFIG_H)

$(CONFIG_H):
	$(error Please run ./configure first)

xclean: clean
	rm -f config.mak config.guess config.sub config.log config.sub config.status
	rm -f configure install-sh lib/usual/config.h
	rm -rf debian/.debhelper debian/pgqd
	rm -f debian/files debian/*-stamp debian/*.debhelper debian/*.log debian/*.substvars

=== lib/Makefile ===

AM_CPPFLAGS = -I$(builddir) -I$(srcdir) $(TLS_CPPFLAGS)
AM_LDFLAGS = $(TLS_LDFLAGS)
AM_LIBS = $(TLS_LIBS)

# main target
lib_LTLIBRARIES = libusual.la

# sources that are not always built
EXTRA_libusual_la_SOURCES = usual/pgsocket.h usual/pgsocket.c

internal_headers = usual/pgutil_kwlookup.h \
		   usual/tls/tls_compat.h \
		   usual/tls/tls_internal.h

# sources not in tar.gz
nodist_EXTRA_libusual_la_SOURCES = usual/config.h

# regular source files
libusual_la_SOURCES = usual/config.h.in \
	usual/aatree.h usual/aatree.c \
	usual/base.h usual/base.c usual/base_win32.h \
	usual/bits.h \
	usual/cbtree.h usual/cbtree.c \
	usual/cfparser.h usual/cfparser.c \
	usual/config_msvc.h \
	usual/crypto/chacha.h usual/crypto/chacha.c \
	usual/crypto/csrandom.h usual/crypto/csrandom.c \
	usual/crypto/digest.h usual/crypto/digest.c \
	usual/crypto/entropy.h usual/crypto/entropy.c \
	usual/crypto/hmac.h usual/crypto/hmac.c \
	usual/crypto/keccak.h usual/crypto/keccak.c \
	usual/crypto/keccak_prng.h usual/crypto/keccak_prng.c \
	usual/crypto/md5.h usual/crypto/md5.c \
	usual/crypto/sha1.h usual/crypto/sha1.c \
	usual/crypto/sha256.h usual/crypto/sha256.c \
	usual/crypto/sha512.h usual/crypto/sha512.c \
	usual/crypto/sha3.h usual/crypto/sha3.c \
	usual/ctype.h \
	usual/cxalloc.h usual/cxalloc.c \
	usual/cxextra.h usual/cxextra.c \
	usual/daemon.h usual/daemon.c \
	usual/endian.h \
	usual/err.h usual/err.c \
	usual/event.h usual/event.c \
	usual/fileutil.h usual/fileutil.c \
	usual/fnmatch.h usual/fnmatch.c \
	usual/getopt.h usual/getopt.c \
	usual/hashing/crc32.h usual/hashing/crc32.c \
	usual/hashing/lookup3.h usual/hashing/lookup3.c \
	usual/hashing/memhash.h usual/hashing/memhash.c \
	usual/hashing/siphash.h usual/hashing/siphash.c \
	usual/hashing/spooky.h usual/hashing/spooky.c \
	usual/hashing/xxhash.h usual/hashing/xxhash.c \
	usual/hashtab-impl.h \
	usual/heap.h usual/heap.c \
	usual/json.h usual/json.c \
	usual/list.h usual/list.c \
	usual/logging.h usual/logging.c \
	usual/mbuf.h usual/mbuf.c \
	usual/mdict.h usual/mdict.c \
	usual/mempool.h usual/mempool.c \
	usual/misc.h \
	usual/netdb.h usual/netdb.c \
	usual/pgutil.h usual/pgutil.c usual/pgutil_kwlookup.h \
	usual/psrandom.h usual/psrandom.c \
	usual/pthread.h usual/pthread.c \
	usual/regex.h usual/regex.c \
	usual/safeio.h usual/safeio.c \
	usual/shlist.h \
	usual/signal.h usual/signal.c \
	usual/slab.h usual/slab.c \
	usual/socket.h usual/socket.c usual/socket_ntop.c usual/socket_pton.c usual/socket_win32.h \
	usual/statlist.h \
	usual/string.h usual/string.c \
	usual/strpool.h usual/strpool.c \
	usual/talloc.h usual/talloc.c \
	usual/time.h usual/time.c \
	usual/tls/tls.h usual/tls/tls.c usual/tls/tls_internal.h \
	usual/tls/tls_compat.h usual/tls/tls_compat.c usual/tls/tls_peer.c \
	usual/tls/tls_client.c usual/tls/tls_config.c usual/tls/tls_ocsp.c \
	usual/tls/tls_server.c usual/tls/tls_util.c usual/tls/tls_verify.c \
	usual/tls/tls_cert.h usual/tls/tls_cert.c usual/tls/tls_conninfo.c \
	usual/utf8.h usual/utf8.c \
	usual/wchar.h usual/wchar.c

# we want to filter headers, so cannot use usual install method via _HEADERS
USUAL_HEADERS = $(filter-out $(internal_headers), \
		$(filter %.h,$(libusual_la_SOURCES) $(nodist_EXTRA_libusual_la_SOURCES)))

# define aclocal destination
aclocaldir = ${datarootdir}/aclocal
AM_DESTINATIONS = aclocal

# other files
dist_pkgdata_SCRIPTS = find_modules.sh
dist_aclocal_DATA = m4/usual.m4 m4/antimake.m4

# test program for link-test
noinst_PROGRAMS = test/compile
test_compile_SOURCES = test/compile.c
test_compile_LDADD = libusual.la
test_compile_LIBS = $(TLS_LIBS)

# extra clean files
DISTCLEANFILES = config.log build.mk config.status libtool config.mak
MAINTAINERCLEANFILES = build.mk.in configure install-sh ltmain.sh config.sub config.guess

# files for .tgz that are not mentioned in sources
EXTRA_DIST = $(MAINTAINERCLEANFILES)

# we dont build test subdir by default, but want to include in .tgz
DIST_SUBDIRS = test

# non-recursive subdir
EMBED_SUBDIRS = mk

#
# Launch Antimake
#
include build.mk

# filter headers when installing
install-local:
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/hashing
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/crypto
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/tls
	@for hdr in $(USUAL_HEADERS); do \
		echo Filtering $$hdr; \
		$(SED) -f mk/safe-headers.sed $$hdr \
		> $(DESTDIR)$(includedir)/$$hdr; \
	done

# Give proper error message
build.mk:
	@echo "Please run ./configure first"
	@exit 1

%.pc: %.pc.in config.status
	./config.status --file $@

# run sparse over code
sparse: config.mak
	REAL_CC="$(CC)" \
	$(MAKE) clean libusual.a CC="cgcc -Wsparse-all -Wno-transparent-union"

# generate api documentation
dox:
	rm -rf doc/html/mk
	#rm -rf mk/temos/html
	doxygen doc/Doxyfile
	$(MAKE) -C mk/temos html
	cp -rp mk/temos/html doc/html/mk

#
# rest is for pgutil_kwlookup generation
#

PG_CONFIG ?= pg_config
KWLIST = $(shell $(PG_CONFIG) --includedir-server)/parser/kwlist.h
GPERF = gperf -m5

# requires 8.4+
kws:
	@test -f "$(KWLIST)" || { echo "kwlist.h not found"; exit 1; }
	grep '^PG_KEYWORD' "$(KWLIST)" \
	| grep -v UNRESERVED \
	| sed 's/.*"\(.*\)",.*, *\(.*\)[)].*/\1/' \
	>> usual/pgutil_kwlookup.gp

kwh:
	$(GPERF) usual/pgutil_kwlookup.g \
	| sed '/^#line/d' \
	> usual/pgutil_kwlookup.h

sizes: all
	size `find .objs -name '.libs' -prune -o -name '*.o' -print | sort`

%.s: %.c
	$(CC) -S $(DEFS) $(CFLAGS) $(CPPFLAGS) -I. $< -o - | cleanasm > $@

.PHONY: tags
tags:
	ctags $(libusual_la_SOURCES)

.PHONY: nodoc
nodoc:
	@for hdr in `find usual -name '*.h'`; do \
	  grep -q "$$hdr" doc/mainpage.dox || echo "$$hdr" ; \
	done

deb:
	debuild -us -uc -b

=== lib/test/Makefile ===

AM_FEATURES = libusual

SUBLOC = test
DIST_SUBDIRS = attregex

USUAL_DIR = $(abs_top_srcdir)

regtest_system_SOURCES = \
	test_aatree.c \
	test_base.c \
	test_bits.c \
	test_cbtree.c \
	test_cfparser.c \
	test_crypto.c \
	test_ctype.c \
	test_cxalloc.c \
	test_endian.c \
	test_event.c \
	test_fileutil.c \
	test_fnmatch.c \
	test_getopt.c \
	test_hashing.c \
	test_hashtab.c \
	test_heap.c \
	test_json.c \
	test_list.c \
	test_mdict.c \
	test_netdb.c \
	test_pgutil.c \
	test_psrandom.c \
	test_regex.c \
	test_shlist.c \
	test_socket.c \
	test_string.c \
	test_strpool.c \
	test_talloc.c \
	test_time.c \
	test_tls.c \
	test_utf8.c \
	test_wchar.c \
	\
	test_common.c test_common.h \
	tinytest.c tinytest.h tinytest_macros.h

# build regtest_system against actual library
regtest_system_LDADD = -static ../libusual.la
regtest_system_LIBS = $(TLS_LIBS) $(LIBS)
regtest_system_LDFLAGS = $(TLS_LDFLAGS)
regtest_system_CPPFLAGS = -I.. -I. $(TLS_CPPFLAGS)

# build regtest_compat as embedded project
regtest_compat_EMBED_LIBUSUAL = 1
regtest_compat_CPPFLAGS := -I.. -I. -DUSUAL_TEST_CONFIG $(TLS_CPPFLAGS)
regtest_compat_LIBS = $(TLS_LIBS) $(LIBS)
regtest_compat_LDFLAGS = $(TLS_LDFLAGS)
regtest_compat_SOURCES := $(regtest_system_SOURCES)
nodist_regtest_compat_SOURCES = test_config.h

connect_SOURCES = connect-tls.c
connect_LDADD = -static ../libusual.la
connect_LIBS = $(TLS_LIBS) $(LIBS)
connect_LDFLAGS = $(TLS_LDFLAGS)
connect_CPPFLAGS = -I.. -I. $(TLS_CPPFLAGS)

EXTRA_DIST = Makefile tinytest_demo.c force_compat.sed test_cfparser.ini

noinst_PROGRAMS = regtest_system connect
EXTRA_PROGRAMS = regtest_compat

include ../build.mk

test_config.h: force_compat.sed ../usual/config.h
	$(E) "	GEN-COMPAT" $@
	$(Q) sed -f $^ > $@

clean: clean-local

clean-local:
	$(Q) $(RM) -r fmod_test

run:
	@echo CC=$(CC) CFLAGS=$(CFLAGS)
	$(MAKE) -C ..
	$(MAKE) all regtest_system regtest_compat
	./regtest_system
	./regtest_compat

.PHONY: tags
tags:
	ctags $(regtest_system_SOURCES)

=== lib/mk/temos/Makefile ===
#
# This Makefile does not use Antimake because it must work
# even when Antimake is broken.
#

TEMOS = \
	antimake1 antimake2 antimake3 antimake4 antimake5 antimake6 \
	libusual1 libusual2 libusual3 libusual4 libusual5 libusual6 \



OUT = $(addsuffix .txt,$(addprefix output/, $(TEMOS)))
HTML = $(addsuffix .html,$(addprefix html/, $(TEMOS))) \
       html/index.html html/antimake.html

ExpFile = $(subst .temo,.txt,$(subst src/,expected/,$(1)))
OutFile = $(subst .temo,.txt,$(subst src/,output/,$(1)))

V ?= 0
ifeq ($(V),0)
E = @echo
Q = @
else
E = @true
Q =
endif

all: qtest

.PHONY: all test ack clean html

html: $(HTML)

am:
	rm -f html/anti*
	make

ftest: clean qtest
qtest: $(OUT)
	@diff -urN expected output > regressions.diff || { \
		less regressions.diff; \
		echo "FAIL: Result does not match expected output"; \
		exit 1; \
	}
	$(Q) rm -f regressions.diff
	$(E) "All OK"

#../antimake.mk ../../m4/usual.m4
output/%.txt: src/%.temo libtemo.sh
	@mkdir -p output
	@printf "$< ... "
	@bash $< > $@ 2>&1 && { cmp -s $@ $(call ExpFile,$<) && echo ok || echo failed; } \
		|| { echo "$< failed:" ; tail $(call OutFile,$<); exit 1; }

html/%.html: output/%.txt
	@mkdir -p html
	asciidoc -o - $< | grep -v '^Last updated ' > $@

ack:
	cp output/*.txt expected/

clean:
	rm -rf tmp html output regressions.diff

html/index.html: index.txt
	@mkdir -p html
	asciidoc -o - $< | grep -v '^Last updated ' > $@

html/antimake.html: ../antimake.txt
	@mkdir -p html
	asciidoc -a toc -o - $< | grep -v '^Last updated ' > $@

=== lib/test/attregex/Makefile ===

SUBLOC = test/attregex

AM_FEATURES = libusual

AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir)
VPATH = $(top_srcdir)
USUAL_DIR = $(top_srcdir)

EXTRA_PROGRAMS = testregex.usual testregex.libc

testregex_usual_SOURCES = testregex.c
testregex_usual_DEFS = -DUSUAL -DUSE_INTERNAL_REGEX
testregex_usual_EMBED_LIBUSUAL = 1

testregex_libc_SOURCES = testregex.c

EXTRA_DIST = Makefile run.sh \
	data/basic.dat \
	data/categorize.dat \
	data/forcedassoc.dat \
	data/interpretation.dat \
	data/leftassoc.dat \
	data/nullsubexpr.dat \
	data/repetition.dat \
	data/rightassoc.dat

test: $(EXTRA_PROGRAMS)

include ../../build.mk

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg90+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

=== debian/control ===
Source: pgqd
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Build-Depends:
 automake,
 debhelper (>= 10),
 libevent-dev (>= 2.0),
 libpq-dev,
 libtool,
Homepage: https://github.com/pgq/pgqd
Vcs-Browser: https://salsa.debian.org/postgresql/pgqd
Vcs-Git: https://salsa.debian.org/postgresql/pgqd.git

Package: pgqd
Architecture: any
Depends: lsb-base, postgresql-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: skytools3-ticker (<< 3.3)
Replaces: skytools3-ticker
Description: Queue maintenance daemon for PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the queue maintenance daemon pgdq.

Package: skytools3-ticker
Section: oldlibs
Architecture: all
Depends: pgqd, ${misc:Depends}
Description: Transitional package to pull in pgqd
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This transitional package pulls in the pgqd package on upgrades. It can safely
 be removed.

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg100+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.5.0
 Build-Depends:
  automake,
- debhelper (>= 10),
+ debhelper (>= 12),
  libevent-dev (>= 2.0),
  libpq-dev,
  libtool,

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg110+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg120+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

## pgqd 3.3

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.5.0
 Build-Depends:
  automake,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libevent-dev (>= 2.0),
  libpq-dev,
  libtool,

=== debian/rules ===
#! /usr/bin/make -f

# make build verbose
export V=1

%:
	dh $@

override_dh_autoreconf:
	# autoreconf broken in 3.3

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure
	
override_dh_auto_install:
	dh_auto_install -- docdir=/usr/share/doc/pgqd

override_dh_auto_clean:
	$(MAKE) xclean
	rm -rf .objs lib/usual/config.h.in

=== debian/watch ===
version=4
https://github.com/pgq/pgqd/releases .*/v([^/]*).tar.gz

## pgqd 3.5

=== Makefile ===

-include config.mak

PG_CONFIG ?= pg_config
PG_INCDIR = $(shell $(PG_CONFIG) --includedir)
PG_LIBDIR = $(shell $(PG_CONFIG) --libdir)
RST2MAN = rst2man

bin_PROGRAMS = pgqd
man_MANS = pgqd.1

pgqd_SOURCES = src/pgqd.c src/maint.c src/ticker.c src/retry.c \
	       src/pgsocket.c src/pgsocket.h \
	       src/pgqd.h
nodist_pgqd_SOURCES = pgqd.ini.h
pgqd_CPPFLAGS = -I$(PG_INCDIR) -Isrc -I.
pgqd_LDFLAGS = -L$(PG_LIBDIR)
pgqd_LIBS = -lpq -lm

pgqd_EMBED_LIBUSUAL = 1
USUAL_DIR = lib
AM_FEATURES = libusual

EXTRA_DIST = pgqd.ini autogen.sh configure.ac Makefile \
	     README.rst NEWS.rst tests/test.sh \
	     lib/find_modules.sh \
	     lib/mk/antimake.mk lib/mk/amext-libusual.mk \
	     lib/mk/install-sh lib/mk/std-autogen.sh \
	     config.mak.in lib/usual/config.h.in \
	     configure config.sub config.guess install-sh
CLEANFILES = pgqd.ini.h

CONFIG_H = $(USUAL_DIR)/lib/usual/config.h

include $(USUAL_DIR)/mk/antimake.mk

pgqd.ini.h: pgqd.ini
	sed -e 's/.*/"&\\n"/' $< > $@

install: install-conf
install-conf:
	mkdir -p '$(DESTDIR)$(docdir)/conf'
	$(INSTALL) -m 644 pgqd.ini '$(DESTDIR)$(docdir)/conf/pgqd.ini.templ'

tags:
	ctags src/*.[ch] lib/usual/*.[ch]

configure:
	./autogen.sh

#config.mak: configure
#	./configure

*.o: $(CONFIG_H)

$(CONFIG_H):
	$(error Please run ./configure first)

xclean: clean
	rm -f config.mak config.guess config.sub config.log config.sub config.status
	rm -f configure install-sh lib/usual/config.h

pgqd.1: README.rst
	$(RST2MAN) $< > $@

citest: check

check:
	./tests/test.sh

# PACKAGE_VERSION
VERSION = $(shell ./configure --version | head -n 1 | sed -e 's/.* //')
RXVERSION = $(shell echo $(VERSION) | sed 's/\./[.]/g')
NEWS = NEWS.rst
TAG = v$(VERSION)

checkver:
	@echo "Checking version"
	@test -f configure || { echo "need ./configure"; exit 1; }
	@grep -q '^pgqd $(RXVERSION)\b' $(NEWS) \
	|| { echo "Version '$(VERSION)' not in $(NEWS)"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: checkver
	git tag $(TAG)
	git push github $(TAG):$(TAG)

unrelease:
	git push github :$(TAG)
	git tag -d $(TAG)

shownote:
	awk -v VER="$(VERSION)" -f etc/note.awk $(NEWS) \
	| pandoc -f rst -t gfm --wrap=none

=== debian/changelog ===
pgqd (3.5-2) unstable; urgency=medium

  * Drop transitional package skytools3-ticker (Closes: #1032791)
    * Install files to debian/tmp, even though we now build single package.
  * Add Pre-Depends suitable for init-system-helpers.
  * Drop dependency on obsolete lsb-base.
  * Clean debian/copyright.
  * Update patches.
  * Update standards version to 4.7.0; no changes necessary.
  * Take over package maintenance (Closes: #992934).

 -- Tomasz Rybak <serpent@debian.org>  Mon, 06 May 2024 22:47:21 +0200

pgqd (3.5-1) unstable; urgency=medium

  * New upstream version 3.5
  * debian/watch: use tags, not releases, but still download release file,
    as upstream uses git submodules.
  * Fix debian/rules: disable tests, rework auto(re)conf.
  * Add build-time dependency to pkgconf and python3-docutils.
  * Install pgqd manfile.
  * Add myself to uploaders, remove Christoph.
  * Add debian/gbp.conf file.
  * Update standards version to 4.6.2; no changes necessary.
  * Remove unnecessary lintian override.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 09 Jan 2023 14:32:38 +0100

=== debian/control ===
Source: pgqd
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Tomasz Rybak <serpent@debian.org>
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 automake,
 libevent-dev (>= 2.0),
 libpq-dev,
 libtool,
 pkgconf,
 python3-docutils,
Homepage: https://github.com/pgq/pgqd
Vcs-Browser: https://salsa.debian.org/postgresql/pgqd
Vcs-Git: https://salsa.debian.org/postgresql/pgqd.git

Package: pgqd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: postgresql-common, ${misc:Depends}, ${shlibs:Depends}
Description: Queue maintenance daemon for PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the queue maintenance daemon pgdq.

=== debian/rules ===
#! /usr/bin/make -f

# make build verbose
export V=1

%:
	dh $@

override_dh_autoreconf:
	# autoreconf broken in 3.3 and 3.5

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- docdir=/usr/share/doc/pgqd

override_dh_auto_test:
	# Disable - requires manual data input

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf .objs
	rm -f config.mak config.log config.status lib/usual/config.h

=== debian/watch ===
version=4
opts="downloadurlmangle=s#archive/refs/tags/v(.*).tar.gz$#releases/download/v$1/pgqd-$1.tar.gz#" \
https://github.com/pgq/pgqd/tags .*/v([^/]*).tar.gz
